#
# spec file for package gap-kbmag
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-kbmag
Version:        1.5.4
Release:        lp151.2.3
Summary:        GAP: Knuth-Bendix on Monoids and Automatic Groups
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/kbmag

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/kbmag-%version.tar.bz2
BuildRequires:  gap-devel
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gap-core >= 4.7.6

%description
The kbmag package is a GAP interface to some C programs for running
the Knuth-Bendix completion program on finite semigroup, monoid or
group presentations, and for attempting to compute automatic
structures of finitely presented groups.

%prep
%setup -qn kbmag-%version

%build
find . -type f "(" -name "*.g" -o -name "*.gd" ")" -exec chmod a-x "{}" "+"
./configure "%gapdir"
make %{?_smp_mflags}

%install
rm -Rf standalone
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream 1.5.4
  * Stop accessing the obsolete global variable `Revision`
  * Other minor internal cleanup
* Fri Mar 11 2016 jengelh@inai.de
- Initial package (version 1.5.3) for build.opensuse.org
